## rus-ispell 0.99e6-2

=== Makefile ===
# Makefile for Russian ispell dictionary

LIB=/usr/lib/ispell

DICT = base.koi computer.koi geography.koi science.koi # rare.koi

ifdef YO
PATT=y
else
PATT=e
YO2E=| tr '\243\263' '\305\345'
endif

koi iso alt win mac: russian.aff.koi russian.dict.koi
	sed -e "s/^\#$(PATT)//;s/^\#$@/wordchars/" $< | \
	./trans koi $@ > russian.aff
	cat russian.dict.koi | ./trans koi $@ > russian.dict
	rm russian.dict.koi
	buildhash ./russian.dict ./russian.aff ./russian.hash

install:
	cp russian.hash russian.aff $(LIB)

russian.dict.koi: $(DICT)
	cat $^ $(YO2E) | ./sortkoi8 | uniq > $@

check_dict: $(DICT)
	for i in `cat $(DICT) | sed 's,/.*$$,,' | sort | uniq -d`; do \
		grep "^$$i/\|^$$i$$" $(DICT); \
	done > .temp

sort_dict: $(DICT)
	for i in $(DICT); do \
		cat $$i | ./sortkoi8 > $$i.temp; \
		mv -f $$i.temp $$i; \
	done

clean:
	rm -f russian.dict* russian.hash russian.aff .temp

=== debian/changelog ===
rus-ispell (0.99e6-2) unstable; urgency=low

  * New maintainer (closes: #135059)
  * If any russian developer reads this and want to take the package, please
    get in touch with me. I do not speak a word of russian.

 -- Agustn Martn Domingo <agmartin@debian.org>  Tue, 26 Feb 2002 14:19:16 +0100

rus-ispell (0.99e6-1) unstable; urgency=low

  * New upstream version.
  * Changed maintainer field, russian-devel list is dead it seams.
  * Fixed spelling error (Closes: #124763)

 -- Peter Novodvorsky <nidd@debian.org>  Sat, 29 Dec 2001 19:26:21 +0300

rus-ispell (0.99e0-1) unstable; urgency=low

  * New upstream version. 

 -- Peter Novodvorsky <nidd@debian.org>  Fri, 15 Jun 2001 03:26:25 +0400

rus-ispell (0.99d6-3) unstable; urgency=low

  * Changed binary-indep to binary-arch. (Closes: #94860)

 -- Peter Novodvorsky <nidd@debian.org>  Sun, 22 Apr 2001 18:10:19 +0400

rus-ispell (0.99d6-2) unstable; urgency=low

  * Renamed Build-Depends-Indep to Build-Depends, because both
    buildhash and debhelper  are used in build rule. (Closes: #94718)

 -- Peter Novodvorsky <nidd@debian.org>  Sat, 21 Apr 2001 17:57:11 +0400

rus-ispell (0.99d6-1) unstable; urgency=low

  * Initial Release. (Closes: #84331)

 -- Peter Novodvorsky <nidd@debian.org>  Sat, 20 Jan 2001 03:14:39 +0300

=== debian/control ===
Source: rus-ispell
Section: text
Priority: optional
Maintainer: Agustn Martn Domingo <agmartin@debian.org>
Build-Depends: debhelper, ispell
Standards-Version: 3.1.1

Package: irussian
Architecture: any
Provides: ispell-dictionary
Depends: ispell
Description: Russian dictionary for ispell
 This package contains a list of Russian words and 
 an affix file to be used with a well-known ispell 
 spelling checker.  
 .
 Dictionaries contain now over 90,100 basic words
 and produce over 892,000 related words

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=2

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) koi

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	#-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>.
	$(MAKE) LIB=`pwd`/debian/`dh_listpackages`/usr/lib/ispell install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs 
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rus-ispell 0.99g5

=== Makefile ===
# Makefile for Russian ispell dictionaries (version 0.99c0 and higher)

LIB=/usr/lib/ispell

dict = base.koi computer.koi geography.koi science.koi

all,koi: russian.aff.koi $(dict)
	cat russian.aff.koi | sed -e "s/^\#e//" | \
	sed -e "s/^\#koi/wordchars/" > russian.aff
	cat $(dict) | tr '\243\263' '' | sortkoi8 | uniq > russian.dict
	buildhash ./russian.dict ./russian.aff ./russian.hash

koi-yo:	russian.aff.koi $(dict)
	cat russian.aff.koi | sed -e "s/^\#y//" | \
	sed -e "s/^\#koi/wordchars/" > russian.aff
	cat $(dict) > russian.dict
	buildhash ./russian.dict ./russian.aff ./russian.hash

alt:	trans russian.aff.koi $(dict)
	cat russian.aff.koi | sed -e "s/^\#e//" | \
	./trans koi8r cp866 | sed -e "s/^\#alt/wordchars/" > russian.aff
	cat $(dict) | tr '\243\263' '' | sortkoi8 | uniq | ./trans koi8r cp866 > russian.dict
	buildhash ./russian.dict ./russian.aff ./russian.hash

alt-yo:	trans russian.aff.koi $(dict)
	cat russian.aff.koi | sed -e "s/^\#y//" | \
	./trans koi8r cp866 | sed -e "s/\#alt/wordchars/" > russian.aff
	cat $(dict) | ./trans koi8r cp866 > russian.dict
	buildhash ./russian.dict ./russian.aff ./russian.hash

iso:	trans russian.aff.koi $(dict)
	cat russian.aff.koi | sed -e "s/^\#e//" | \
	./trans koi8r iso88595 | sed -e "s/^\#iso/wordchars/" > russian.aff
	cat $(dict) | tr '\243\263' '' | sortkoi8 | uniq | ./trans koi8r iso88595 > russian.dict
	buildhash ./russian.dict ./russian.aff ./russian.hash

iso-yo:	trans russian.aff.koi $(dict)
	cat russian.aff.koi | sed -e "s/^\#y//" | \
	./trans koi8r iso88595 | sed -e "s/\#iso/wordchars/" > russian.aff
	cat $(dict) | ./trans koi8r iso88595 > russian.dict
	buildhash ./russian.dict ./russian.aff ./russian.hash

install:
	cp russian.hash russian.aff $(LIB)

check_dict: $(dict)
	for i in `cat $(dict) | sed 's,/.*$$,,' | sort | uniq -d`; do \
		grep "^$$i/\|^$$i$$" $(dict); \
	done > .temp

sort_dict: $(dict)
	for i in $(dict); do \
		cat $$i | ./trans koi8r cp866 | sort | ./trans cp866 koi8r > $$i.temp; \
		mv -f $$i.temp $$i; \
	done

clean:
	rm -f russian.dict* russian.hash russian.aff russian1.aff .temp

=== debian/changelog ===
rus-ispell (0.99g5-28) unstable; urgency=medium

  * Drop myspell-tools build-dep. Use hunspell-tools ispellaff2myspell to
    generate aspell affix file (Closes: #1006131).
  * debian/copyright: Make DEP5.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Feb 2022 21:30:04 +0100

rus-ispell (0.99g5-27) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dictionaries-common-dev
      and dpkg-dev.

  [ Agustin Martin Domingo ]
  * debian/watch: Bump version.
  * debian/control:
    - Add Alexander Lebedev's Homepage.
    - Bump Standards-Version. No changes required.
  * Add some lintian overrides.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 06 Oct 2021 23:37:42 +0200

rus-ispell (0.99g5-26) unstable; urgency=medium

  * 0001-added_new_abbr.patch: Remove unsupported word.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 18 Aug 2021 20:14:24 +0200

rus-ispell (0.99g5-25) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on aspell.

  [ Agustin Martin Domingo ]
  * 0001-added_new_abbr.patch: New abbreviations by GreenSide
    Technology.
  * debian/control:
    - Add "Rules-Requires-Root: no".
    - Bump debhelper-compat to 13.
    - Bump Standards-Version to 4.5.1.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Aug 2021 19:19:18 +0200

rus-ispell (0.99g5-24) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 18:19:28 +0100

rus-ispell (0.99g5-23) unstable; urgency=medium

  * debian/control: Mark myspell-ru as Multi-Arch: foreign.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 22 Nov 2018 17:18:31 +0100

rus-ispell (0.99g5-22) unstable; urgency=medium

  * Make myspell-ru a dummy transitional package depending on hunspell-ru
    Thanks Pander (Closes: #898748).
  * debian/control: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 07 Sep 2018 11:30:25 +0200

rus-ispell (0.99g5-21) unstable; urgency=medium

  * debian/control:
    - Update Vcs-Browser and Vcs-Git for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 11.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 04 May 2018 16:36:47 +0200

rus-ispell (0.99g5-20) unstable; urgency=medium

  * debian/rules: Do not pass timestamps to gzipped files.
  * debian/control: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 09 Jul 2015 11:48:59 +0200

rus-ispell (0.99g5-19) unstable; urgency=low

  * debian/control:
   - Modify to use dictionaries-common-dev (>= 1.22.0) features:
      + ${ispell:Depends}, ${aspell:Depends}, ${hunspell:Depends}
      + Deal with remove files in debhelper snippet.
   - Build on at least dictionaries-common-dev (>= 1.23.3) to make
     sure dirs are available and cleaned as needed.
   - Bump Standards-Version. No changes required.
   - Add Vcs-Browser and Vcs-Git info for collab maint repo.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 30 Jun 2014 16:04:30 +0200

rus-ispell (0.99g5-18) unstable; urgency=low

  * debian/rules: Migrate from cdbs to debhelper the code to make sure
    upstream old/README.orig is not removed by dh_clean.
  * debian/control:
    - Remove Martin-Éric Racine from Uploaders (Closes: #659322).
    - Put my name without accents to match changelog.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 10 Feb 2012 14:41:16 +0100

rus-ispell (0.99g5-17) unstable; urgency=low

  * debian/control: No need to version irussian dependency on ispell,
    we use ispell-autobuildhash.
  * debian/irussian.info-ispell: Revert to previous Language value and
    use Elanguage to fix displayed string (Closes: #657643).
    This may trigger a debconf question to go to previous value, but
    will make squeeze->wheezy upgrades smoother.
  * debian/myspell-ru.links: Remove, only created symlinks from ancient
    myspell dir.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 31 Jan 2012 15:57:24 +0100

rus-ispell (0.99g5-16) unstable; urgency=medium

  * Fixed typo in myspell-ru description (Closes: #646748).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 28 Oct 2011 08:53:23 +0300

rus-ispell (0.99g5-15) unstable; urgency=medium

  * Urgency=medium because myspell-ru now Conflicts with hunspell-ru.
  * [aspell-ru.dirs]: deleted;
    + usr/lib/aspell and usr/share/aspell are created by [aspell-ru.install].
    + var/lib/aspell is handled by autobuildhash.
  * [irussian.dirs]: deleted;
    + usr/lib/ispell is created by [irussian.install].
  * [myspell-ru.info-hunspell]: created rudimentary Hunspell support.
  * [debian/rules]: added installdeb-hunspell --package=myspell-$(DICT_LANG).
  * [debian/control]: updated myspell Provides for hunspell.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 24 Oct 2011 13:28:23 +0300

rus-ispell (0.99g5-14) unstable; urgency=low

  * Bumped myspell-ru down to Priority:extra to conform with Policy Section 2.5
    "Note that optional packages should not conflict with each other."

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 21 Oct 2011 13:40:15 +0300

rus-ispell (0.99g5-13) unstable; urgency=low

  * myspell-ru Conflicts with hunspell-ru (Closes: #644881, #645317).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 15 Oct 2011 11:16:52 +0300

rus-ispell (0.99g5-12) unstable; urgency=low

  * Migrated to debhelper-7 build system:
    + Simplified [debian/rules] to use a single dh command with overrides.
    + Bumped the Build-Depends on debhelper to (>= 7.0.50~).
    + Dropped the Build-Depends on CDBS.
  * Migrated to source format 3.0 (quilt).


=== debian/control ===
Source: rus-ispell
Maintainer: Mikhail Gusarov <dottedmag@debian.org>
Uploaders: Agustin Martin Domingo <agmartin@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dictionaries-common-dev,
               aspell,
               ispell,
               hunspell-tools,
	       locales-all
Standards-Version: 4.6.0.1
Homepage: http://scon155.phys.msu.su/eng/lebedev.html
Vcs-Browser: https://salsa.debian.org/debian/rus-ispell
Vcs-Git: https://salsa.debian.org/debian/rus-ispell.git
Rules-Requires-Root: no

Package: irussian
Architecture: all
Depends: debconf | debconf-2.0,
         ${misc:Depends},
         ${ispell:Depends}
Provides: ispell-dictionary
Description: Russian dictionary for Ispell
 This dictionary contains Russian wordlists for the Ispell spellchecker.
 .
 The dictionary contains over 122,200 stem words and produces over
 1,168,000 derivate words, including support for the :E (yo) letter.

Package: aspell-ru
Architecture: all
Depends: ${misc:Depends},
         ${aspell:Depends}
Provides: aspell-dictionary
Description: Russian dictionary for Aspell
 This dictionary contains Russian wordlists for the Aspell
 spellchecker currently supported by GNOME applications.
 .
 The dictionary is generated from the Ispell wordlist.

Package: myspell-ru
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends: hunspell-ru,
	 ${misc:Depends}
Description: transitional dummy package
 This is a dependency package for migration to hunspell-ru
 This package is here only to ensure smooth upgrades from
 myspell-ru to hunspell-ru.
 It can be safely removed afterwards.

=== debian/rules ===
#!/usr/bin/make -f
# coding: koi8-r
# [debian/rules] for rus-ispell
#
# COPYRIGHT C 2005-2011 Martin-Eric Racine <martin-eric.racine@iki.fi>
# COPYRIGHT C 2011-2022 Agustin Martin Domingo <agmartin@debian.org>
#
# LICENSE
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License or (at
# your option) any later version.
#

%:
	dh $@

ILANGUAGE=russian
LANG_COUNTRY=ru_RU
DICT_LANG=ru
DICTIONARIES=base.koi abbrev.koi computer.koi for_name.koi geography.koi science.koi

# Explicitely declare the encoding to ensure that 'grep' and 'tr' work as expected.
LANG=C
LC_ALL=C
export LANG LC_ALL

override_dh_auto_build:
	# Generate ispell dictionary.
	grep -h '[]' $(DICTIONARIES) | tr '\243\263' '\305\345' > yo_subst.koi
	cat $(DICTIONARIES) yo_subst.koi |./sortkoi8 | uniq > $(ILANGUAGE).dict
	sed -e "s/^\#[ye]//;s/^\#koi/wordchars/" $(ILANGUAGE).aff.koi > $(ILANGUAGE).aff
	# Generate traditional ispell hash needed by i2myspell.
	buildhash $(ILANGUAGE).dict $(ILANGUAGE).aff $(ILANGUAGE).hash
	# Generate gzipped munched wordlist for ispell 3.3 dictionary.
	gzip -nc --best $(ILANGUAGE).dict > $(ILANGUAGE).mwl.gz

	# Generate aspell dictionary; build-depends on aspell because of prezip.
	cat ./$(ILANGUAGE).dict | prezip -s -c | \
		gzip -9n -c > $(DICT_LANG).cwl.gz
	LC_ALL=ru_RU.KOI8-R ispellaff2myspell \
		--bylocale --myheader=./debian/ru_affix.header \
		./$(ILANGUAGE).aff > $(DICT_LANG)_affix.dat
	echo "add $(DICT_LANG).rws" > $(DICT_LANG).multi
	echo "add $(DICT_LANG).multi" > $(ILANGUAGE).alias

# Make sure dh_clean does not remove this upstream file
override_dh_clean:
	dh_clean -Xold/README.orig

override_dh_auto_clean:
	# Clean ispell files.
	rm -f *.cnt *.hash *.stat yo_subst.koi *.utf8
	# Also delete aff and dict, since we build them here.
	rm -f $(ILANGUAGE).aff $(ILANGUAGE).dict $(ILANGUAGE).mwl.gz
	# Clean myspell files.
	rm -f $(LANG_COUNTRY).aff $(LANG_COUNTRY).dic x
	# Clean aspell files.
	rm -f *.alias *_affix.dat *.multi *.*wl*

override_dh_auto_install:
	installdeb-ispell --package=i$(ILANGUAGE)
	installdeb-aspell --package=aspell-$(DICT_LANG)
#EOF

=== debian/watch ===
version=4
ftp://scon155.phys.msu.su/pub/russian/ispell/rus-ispell-(.*)\.tar\.gz \
	debian uupdate --no-symlink
